idna_to_unicode_4z4z(3)

NAME
idna_to_unicode_4z4z - convert domain name label to Unicode

SYNOPSIS
#include <idna.h>

int idna_to_unicode_4z4z(const uint32_t * input, uint32_t ** output, int flags);

ARGUMENTS

const uint32_t * input
    zero-terminated Unicode string.

uint32_t ** output
    pointer to newly allocated output Unicode string.

int flags
    an Idna_flags value, e.g., IDNA_ALLOW_UNASSIGNED or IDNA_USE_STD3_ASCII_RULES.

DESCRIPTION
Convert possibly ACE encoded domain name in UCS-4 format into a UCS-4 string. The domain name may contain several labels, separated by dots. The output buffer must be deallocated by the caller.

RETURN VALUE
Returns IDNA_SUCCESS on success, or error code.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.